Macros | Enumerations | Functions
example_detector_distance_low_power_hibernate.c File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "acc_definitions_a121.h"`
`#include "acc_definitions_common.h"`
`#include "acc_detector_distance.h"`
`#include "acc_hal_definitions_a121.h"`
`#include "acc_hal_integration_a121.h"`
`#include "acc_integration.h"`
`#include "acc_integration_log.h"`
`#include "acc_rss_a121.h"`
`#include "acc_sensor.h"`
`#include "acc_version.h"`

Go to the source code of this file.

## Macros
#define | SENSOR_ID (1U)
#define | SENSOR_TIMEOUT_MS (1000U)
#define | DEFAULT_UPDATE_RATE (1.0f)

## Enumerations
enum | distance_preset_config_t { DISTANCE_PRESET_CONFIG_NONE = 0, DISTANCE_PRESET_CONFIG_BALANCED, DISTANCE_PRESET_CONFIG_HIGH_ACCURACY, DISTANCE_PRESET_CONFIG_NONE = 0, DISTANCE_PRESET_CONFIG_BALANCED, DISTANCE_PRESET_CONFIG_HIGH_ACCURACY, DISTANCE_PRESET_CONFIG_NONE = 0, DISTANCE_PRESET_CONFIG_BALANCED, DISTANCE_PRESET_CONFIG_HIGH_ACCURACY, DISTANCE_PRESET_CONFIG_NONE = 0, DISTANCE_PRESET_CONFIG_BALANCED, DISTANCE_PRESET_CONFIG_HIGH_ACCURACY }

## Functions
static void | print_result (acc_detector_distance_result_t *result)
static void | cleanup (acc_detector_distance_handle_t *distance_handle, acc_detector_distance_config_t *distance_config, acc_sensor_t *sensor, void *buffer, uint8_t *detector_cal_result_static)
static void | set_config (acc_detector_distance_config_t *detector_config, distance_preset_config_t preset)
int | acconeer_main (int argc, char *argv[])
| Assembly test example. More...

## Macro Definition Documentation

## ◆ DEFAULT_UPDATE_RATE

#define DEFAULT_UPDATE_RATE (1.0f)

Examples
  example_detector_distance_low_power_hibernate.c.

Definition at line 56 of file example_detector_distance_low_power_hibernate.c.

## ◆ SENSOR_ID

#define SENSOR_ID (1U)

Examples
  example_detector_distance_low_power_hibernate.c.

Definition at line 54 of file example_detector_distance_low_power_hibernate.c.

## ◆ SENSOR_TIMEOUT_MS

#define SENSOR_TIMEOUT_MS (1000U)

Examples
  example_detector_distance_low_power_hibernate.c.

Definition at line 55 of file example_detector_distance_low_power_hibernate.c.

## Enumeration Type Documentation

## ◆ distance_preset_config_t

enum distance_preset_config_t

Enumerator
DISTANCE_PRESET_CONFIG_NONE |
DISTANCE_PRESET_CONFIG_BALANCED |
DISTANCE_PRESET_CONFIG_HIGH_ACCURACY |
DISTANCE_PRESET_CONFIG_NONE |
DISTANCE_PRESET_CONFIG_BALANCED |
DISTANCE_PRESET_CONFIG_HIGH_ACCURACY |
DISTANCE_PRESET_CONFIG_NONE |
DISTANCE_PRESET_CONFIG_BALANCED |
DISTANCE_PRESET_CONFIG_HIGH_ACCURACY |
DISTANCE_PRESET_CONFIG_NONE |
DISTANCE_PRESET_CONFIG_BALANCED |
DISTANCE_PRESET_CONFIG_HIGH_ACCURACY |

Examples
  example_detector_distance_low_power_hibernate.c.

Definition at line 47 of file example_detector_distance_low_power_hibernate.c.

## Function Documentation

## ◆ acconeer_main()

int acconeer_main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Assembly test example.

Touchless button application.

Tank level reference application.

Smart presence reference application.

Parking application.

Breathing example application.

Waste level application.

Vibration example.

Surface velocity example application.

Service subsweeps example.

Service multple configurations example.

Low power service example.

Service sensor calibration caching example.

Service example.

Processing subtract adaptive background example.

Processing static presence example.

Processing peak interpolation example.

Processing noncoherent mean example.

Processing coherent mean example.

Processing amplitude example.

hand motion application

Detector presence example with multiple configurations.

Low power detector presence example.

Detector presence example.

Detector distance example with iq data print.

Distance detector low power example.

Detector distance with calibration caching example.

Detector distance example.

Control helper example.

Cargo application.

Returns
  Returns EXIT_SUCCESS if successful, otherwise EXIT_FAILURE

Test if measure on wake up is enable Do a measurement if the the detector is ready (configured and calibrated)

Test if measure on wake up is enable Do a measurement if the the detector is ready (configured and calibrated)

Examples
  example_detector_distance_low_power_hibernate.c.

Definition at line 70 of file example_detector_distance_low_power_hibernate.c.

## ◆ cleanup()

static void cleanup | ( | acc_detector_distance_handle_t * | distance_handle,
|  | acc_detector_distance_config_t * | distance_config,
|  | acc_sensor_t * | sensor,
|  | void * | buffer,
|  | uint8_t * | detector_cal_result_static
| ) |  |
| static

Examples
  example_detector_distance_low_power_hibernate.c.

Definition at line 314 of file example_detector_distance_low_power_hibernate.c.

## ◆ print_result()

static void print_result | ( | acc_detector_distance_result_t * | result | ) |
| static

Examples
  example_detector_distance_low_power_hibernate.c.

Definition at line 386 of file example_detector_distance_low_power_hibernate.c.

## ◆ set_config()

static void set_config | ( | acc_detector_distance_config_t * | detector_config,
|  | distance_preset_config_t | preset
| ) |  |
| static

Examples
  example_detector_distance_low_power_hibernate.c.

Definition at line 349 of file example_detector_distance_low_power_hibernate.c.